
function AttackDialog(title, attack, index) {
	this.base = NPCDialog;
	var hasxp = true;
	// no xp for weapon attacks
	if (attack.getAttackType() == "WeaponAttack") {
		hasxp = false;
	}
	this.base(title, hasxp, "attack-dialog");
	this.attack = attack.clone();
	if (index != undefined) {
		this.index = index;
	} else {
		this.index = -1;
	}
}
AttackDialog.prototype = new NPCDialog();

AttackDialog.prototype.ok = function() {
	this.attack.updateFromForm();
	if (this.index >= 0) {
		npc.setAttack(this.index, this.attack);
	} else {
		npc.addAttack(this.attack);
	}
}
AttackDialog.prototype.close = function() {
	this.base.prototype.close.call(this);
	//close the add attack dialog
	view.closeAddAttacksDialog();
	view.reviewEditAttacksButton();
}

AttackDialog.prototype.open = function() {
	this.base.prototype.open.call(this);
	
	var dialogInstance = this;
	dialogInstance.updateXP(dialogInstance.attack.getxp());
	
	// attach form changing event to mobility type selector
	$("#attack-dialog select, #attack-dialog input").change(function(){
		dialogInstance.attack.updateFromForm();
		dialogInstance.updateXP(dialogInstance.attack.getxp());
	});
	
	dialogInstance.attack.setupForm();
}

AttackDialog.prototype.getFormContent = function() {
	return this.attack.editForm();
}

