
config = {
	skills : ["Acrobaties",
	    "Artisanat",
		"Athlétisme",
		"Bluff",
		"Camouflage",
	    "Déguisement",
		"Détection",
		"Détermination",
		"Diplomatie",
        "Discrétion",
		"Equitation",
		"Fouille",
		"Intimidation",
		"Investigation",
		"Médecine",
		"Négotiation",
		"Prestidigitation",
		"Psychologie",
		"Survie",
		"Tactiques"],
	skillstats : [],
	setSkillStats : function() {
		this.skillstats = new Array();
		// skills stats are stored by index, 0 = str, 1 = dex, etc...
		this.skillstats["Acrobaties"] = [1];
		this.skillstats["Athlétisme"] = [0];
		this.skillstats["Discrétion"] = [5];
		this.skillstats["Bluff"] = [5];
		this.skillstats["Artisanat"] = [3];
		this.skillstats["Déguisement"] = [5];
		this.skillstats["Négotiation"] = [4];
		this.skillstats["Diplomatie"] = [5];
		this.skillstats["Intimidation"] = [4];
		this.skillstats["Investigation"] = [4];
		this.skillstats["Médecine"] = [3];
		this.skillstats["Détection"] = [4];
		this.skillstats["Prestidigitation"] = [1];
		this.skillstats["Détermination"] = [2];
		this.skillstats["Equitation"] = [1];
		this.skillstats["Fouille"] = [3];
		this.skillstats["Psychologie"] = [4];
		this.skillstats["Camouflage"] = [1];
		this.skillstats["Survie"] = [4];
		this.skillstats["Tactiques"] = [3];		
	},
	roman : ["None","I","II","III","IV","V","VI","VII","VIII","IX","X"],
	size : ["Microscopique",
		"Infime",
		"Minuscule",
		"Très Petite",
		"Petite",
		"Moyenne",
		"Grande",
		"Très Grande",
		"Gigantesque",
		"Colossale",
		"Enorme",
		"Vaste"],	
	type : {"Animal" : 0,
		"Bête" : 0,
		"Créature Artificiel" : 5,
		"Elementaire" : 5,
		"Esprit" : 5,
		"Extérieur" : 0,
		"Fée" : 0,
		"Horreur" : 5,
		"Humanoïde" : 0,
		"Mort-Vivant" : 5,
		"Plante" : 5,
		"Vase" : 5},				
	types : ["Animal",
		"Bête",
		"Créature Artificiel",
		"Elementaire",
		"Esprit",
		"Extérieur",
		"Fée",
		"Horreur",
		"Humanoïde",
		"Mort-Vivant",
		"Plante",
		"Vase"],		
	attributes : ["For",
		"Dex",
		"Con",
		"Int",
		"Sag",
		"Cha"],
	mobility : {"Marchant" : 0,
		"Creusant" : 0,
		"Volant" : 0,
		"Nageant" : 0,
		"Immobile" : -5},
	mobilityMedium : {"Marchant" : "au sol",
		"Creusant" : "sous terre",
		"Volant" : "en vol",
		"Nageant" : "à la nage",
		"Immobile" : "Immobile"},
	damagetypes : ["acide",
		"assourdissant",
		"chaleur",
		"froid",
		"divin",
		"électrique",
		"explosif",
		"feu",
		"aveuglant",
		"force",
		"létal",
		"attaque sournoise",
		"sonique",
		"stress",
		"non létal"],
	qualitydamagetypeswithxp : {"acide" : 7,
		"assourdissant" : 7,
		"chaleur" : 7,
		"froid" : 7,
		"divin" : 7,
		"électrique" : 7,
		"explosif" : 7,
		"feu" : 7,
		"aveuglant" : 7,
		"force" : 7,
		"létal" : 5,
		"attaque sournoise" : 7,
		"sonique" : 7,
		"stress" : 7,
		"non létal" : 7},
	talondachilletypes : ["acide",
		"assourdissant",
		"chaleur",
		"froid",
		"divin",
		"électrique",
		"explosif",
		"feu",
		"aveuglant",
		"force",
		"attaque sournoise",
		"sonique",
		"stress",
		"non létal",
		"poudre noir",
		"contondant",
		"arc",
		"tranchant",
		"animal",
		"Bête",
		"Créature Artificielle",
		"Elementaire",
		"Esprit",
		"Extérieur",
		"Fée",
		"Horreur",
		"Humanoïde",
		"Mort-Vivant",
		"Plante",
		"Vase"],		
	conditions : ["Désorienté",
		"Ensanglanté",
		"Aveuglé",
		"Assourdi",
		"Enragé",
		"Enchevêtré",
		"Fatigué",
		"Fasciné",
		"Pris en tenaille",
		"Pris au dépourvu",
		"Terrifié",
		"Agrippé",
		"Sans défense",
		"Dissimulé",
		"Intangible",
		"Invisible",
		"Paralysé",
		"Immobilisé",
		"Couché",
		"Secoué",
		"Nauséeux",
		"Ralenti",
		"Renversé",
		"Etourdi"],
	terraintypes : ["aquatique",
		"arctique",
		"cavernes/montagnes",
		"désert",
		"forêt/jungle",
		"indoors/settled",
		"plaines",
		"marais"],
	senses : ["vue",
		"ouïe",
		"odorat"],
	supplimentQualities : [],
	groupqualities : ["minion"],
	qualityDefaultMaxuses : 10,
	setQualities : function() {
		
		/*
		 * There are three times of generic quality.
		 * 
		 * SQuality - simple quality
		 *  a single name, multiple uses with a simple xp multiplier
		 *  new SQuality(name, xp, restrictions, options) 
		 * 
		 * DQuality - detailed quality
		 *  the quality can be added in verious different ways, e.g. feat.
		 *  if it can be applied from a set list (e.g. damage resistance)
		 *  new DQuality(name, xp, restrictions, options, maxuses)
		 * 
		 * EDQuality - extended detail quality
		 *  as per DQuality except that the possible values, to acompany each option, are specified.
		 *  new EDQuality(name, xp, restrictions, options, maxuses, values)
		 * 
		 * VSQuality - variable simple quality
		 *  as per simple quality except that each option has a unique xml value specicied as a json map
		 *  new VSQuality(name, restrictions, options)
		 * 
		 * VDQuality - variable detail quality
		 *  as per a detail quality except that it takes a json map for the options, where the keys are the options
		 *  and xp is the values.
		 *  new VDQuality(name, restrictions, options, maxuses)
		 * 
		 * VEDQuality - variable extended detail quality
		 *  as per EDQuality except that each value is accompanied by an ex amount specified as a json map.
		 *  new VEDQuality(name, restrictions, options, maxuses, values)
		 * 
		 */ 
		config.supplimentQualities = new Hash();
		var coreQualities = new Array();
		
		coreQualities.push(new DQuality("Action proscrite", 0, null, null));
		coreQualities.push(new SQuality("Amorphe", -4, null, []));
		coreQualities.push(new VSQuality("Amphibie", null, {"I" : 1, "II" : 3}));
		coreQualities.push(new VDQuality("Aptitude de classe", null, classabilityconfig, 10));
		coreQualities.push(new SQuality("Attaque en charge", 2, null, []));
		coreQualities.push(new SQuality("Attaque monstrueuse", 3, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Attaque rapide", 3, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Attirant", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Berserker", 1, null, []));
		coreQualities.push(new SQuality("Brillant", 3, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Brutal", 2, null, []));
		coreQualities.push(new VEDQuality("Caméléon", null, config.terraintypes, 8, {"I" : 2, "II" : 4}));
		coreQualities.push(new SQuality("Chutes fatales", -1, null, []));
		coreQualities.push(new SQuality("Combattant épuisant", 2, null, []));
		coreQualities.push(new SQuality("Couard", -2, null, []));
		coreQualities.push(new SQuality("Défense magique", 2, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Défense monstrueuse", 3, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new VSQuality("Défense naturelle", null, config.qualitydamagetypeswithxp));
		coreQualities.push(new EDQuality("Dévoué", 2, null, null, 5, ["I","II","III","IV","V"]));
		coreQualities.push(new SQuality("Diurne", -1, null, []));
		coreQualities.push(new DQuality("Don", 2, null, null, 10));
		coreQualities.push(new SQuality("Effrayant", 2, null, []));
		coreQualities.push(new DQuality("Endurance aux dégâts", 2, null, config.talondachilletypes));
		coreQualities.push(new DQuality("Ennemis jurés", 1, null, config.types, 10));
		coreQualities.push(new SQuality("Entrée dramatique", 8, null, []));
		coreQualities.push(new SQuality("Esprit de ruche", 2, null, []));
		coreQualities.push(new SQuality("Eternel", 0, null, []));
		coreQualities.push(new SQuality("Eventration", 3, null, []));
		coreQualities.push(new DQuality("Expertise", 2, null, config.skills, 10));
		coreQualities.push(new SQuality("Fascinant", 2, null, []));
		coreQualities.push(new SQuality("Férocité", 3, null, []));
		coreQualities.push(new SQuality("Festin", 3, null, []));
		coreQualities.push(new VSQuality("Fission", null, {"cadavérique" : 0, "cadavérique-instanément mature" : 5, "critique" : 0, "critique-instanément mature" : 5}));
		coreQualities.push(new SQuality("Furie", 4, null, ["I", "II", "III"]));
		coreQualities.push(new SQuality("Grand coureur", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new DQuality("Grand grimoire", 1, null, null, 10));
		coreQualities.push(new SQuality("Grand grimpeur", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Grand nageur", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Grand sauteur", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Grand voyageur", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Guérison accélérée", 1, null, []));
		coreQualities.push(new DQuality("Handicap sensoriel", -1, null, config.senses, 3));
		coreQualities.push(new SQuality("Hésitation critique", -2, null, []));
		coreQualities.push(new SQuality("Honorable", 3, null, []));
		coreQualities.push(new DQuality("Immunité à la condition", 4, null, config.conditions, 5));
		coreQualities.push(new SQuality("Immunité au renvoi", 2, null, []));
		coreQualities.push(new DQuality("Immunité aux dégâts", 5, null, config.talondachilletypes));
		coreQualities.push(new SQuality("Immunité aux maladies", 4, null, []));
		coreQualities.push(new SQuality("Impact", 2, null, []));
		coreQualities.push(new SQuality("Impressionnant", 2, null, []));
		coreQualities.push(new SQuality("Incassable", 1, null, []));
		coreQualities.push(new DQuality("Intérêts", 0, null, null, 10));
		coreQualities.push(new SQuality("Invisibilité", 8, null, []));
		coreQualities.push(new SQuality("Lourdaud", -2, null, []));
		coreQualities.push(new SQuality("Lutteur", 2, null, []));
		coreQualities.push(new SQuality("Magie illimitée", 5, null, []));
		coreQualities.push(new SQuality("Maladroit", -2, null, []));
		coreQualities.push(new DQuality("Manoeuvre", 2, null, null, 10));
		coreQualities.push(new SQuality("Menace de groupe", 2, null, []));
		coreQualities.push(new SQuality("Métamorphe", 4, null, ["I", "II", "III"]));
		coreQualities.push(new SQuality("Nocturne", -1, null, []));
		coreQualities.push(new SQuality("Nué", 2, null, []));
		coreQualities.push(new SQuality("Perfide", 5, null, []));
		coreQualities.push(new SQuality("Personnage-clef", 0, null, []));
		coreQualities.push(new SQuality("Piétaille", -4, null, []));
		coreQualities.push(new SQuality("Poids des âges", -4, null, []));
		coreQualities.push(new SQuality("Porteur", 0, null, []));
		coreQualities.push(new SQuality("Prudent", 1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Puanteur", 2, null, []));
		coreQualities.push(new VSQuality("Putréfaction morbide", null, config.qualitydamagetypeswithxp));
		coreQualities.push(new SQuality("Réduction des dégâts", 3, null, ["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"]));
		coreQualities.push(new SQuality("Régéneration", 3, null, ["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"]));
		coreQualities.push(new VSQuality("Rejetons", null, {"infectious" : 5, "killing" : 5}));
		coreQualities.push(new DQuality("Renvoi", 4, null, config.types, 10));
		coreQualities.push(new SQuality("Renvoi des sorts", 3, null, []));
		coreQualities.push(new SQuality("Repoussant", -1, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Robuste", 5, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Sang froid", -2, null, []));
		coreQualities.push(new VSQuality("Sans peur", null, {"I" : 2, "II" : 4}));
		coreQualities.push(new DQuality("Sens aiguisés", 1, null, config.senses, 3));
		coreQualities.push(new SQuality("Sensible à la lumière", -2, null, []));
		coreQualities.push(new SQuality("Seul contre tous", 2, null, []));
		coreQualities.push(new SQuality("Sommeil léger", 1, null, []));
		coreQualities.push(new VEDQuality("Sort naturel", null, null, 10, {"0" : 0, "1" : 1,"2" : 2,"3" : 3,"4" : 4,"5" : 5,"6" : 6,"7" : 7,"8" : 8,"9" : 9}));
		coreQualities.push(new SQuality("Stabilité", 2, null, []));		
		coreQualities.push(new DQuality("Talon dAchille", -2, null, config.talondachilletypes));
		coreQualities.push(new SQuality("Télépathie", 1, null, []));
		coreQualities.push(new SQuality("Terrifiant", 2, null, []));
		coreQualities.push(new SQuality("Toujours prêt", 2, null, []));
		coreQualities.push(new SQuality("Vétéran", 2, null, ["I","II","III","IV","V","VI","VII","VIII","IX","X"]));
		coreQualities.push(new SQuality("Vision aveugle", 4, null, []));
		coreQualities.push(new VSQuality("Vision dans le noir", null, {"I" : 1, "II" : 3}));
		coreQualities.push(new SQuality("Vision diurne", 0, null, []));
		coreQualities.push(new SQuality("Vivacité critique", 2, null, []));
										
		config.supplimentQualities.setItem("LdB Fantasy Craft", coreQualities);
		
		// spellbound
		var spellboundQualities = new Array();
		spellboundQualities.push(new VSQuality("Lumineux", null, {"I" : 3, "II" : 12, "III" : 20}));
		config.supplimentQualities.setItem("Spellbound", spellboundQualities);
	}
};
