
function NameDialog() {
	this.base = NPCDialog;
	this.base("Générateur de nom aléatoire", false, "random-name-form");
}
NameDialog.prototype = new NPCDialog();

NameDialog.prototype.open = function() {
	this.base.prototype.open.call(this);
	
	var dialogInstance = this;
	
	// attach form changing event to mobility type selector
	$("#generateName").click(function(){
		var type = $("#type").val();
		var genre = $("#genre").val();
		var name = names.getName(type, genre);
		$("#generatedname").text(name);
	});
}

NameDialog.prototype.getFormContent = function() {
		
	var output = "<div id='randomnamearea'>";
	
	output += npcutil.getListKeySelector("type", patternTable, false);
	
	output += "&nbsp;";
	
	var genres = ["mâle", "femelle"];
	output += npcutil.getListSelector("genre", genres);
	
	output += "<br/>";
	
	output += "<button id='generateName'>Générer Aléatoirement un Nom</button>"
	
	output += "<br/>"
	
	output += "Nom : <span id='generatedname'></span>";
	
	output += "</div>";
	
	output += "<hr/><span class='note'>Ceci utilise les tables aléatoire de noms des pages 282 à 285 de Fantasy Craft</span>"
	
	
	return output;
}

NameDialog.prototype.ok = function() {
	var name = $("#generatedname").text();
	$("#title").val(name);
	$("#title").change();
};

NameDialog.prototype.getButtons = function() {
	var dialogInstance = this;
	
	return { 
		"Utiliser Nom" : function() {
			dialogInstance.disable();
			dialogInstance.ok();
			dialogInstance.close();
		}, 
		"Annuler" : function() { 
			dialogInstance.close();
		}
	}
}

