
function QualityDialog(quality) {
	this.base = NPCDialog;
	this.base(quality.name, true, "quality-form");
	this.quality = quality;
}
QualityDialog.prototype = new NPCDialog();

QualityDialog.prototype.ok = function() {
	npc.setquality(this.quality);
	
	// review the enabled status of the edit qualities button
	view.reviewEditQualitiesButton();
}

QualityDialog.prototype.open = function() {
	this.base.prototype.open.call(this);
	
	var dialogInstance = this;
	
	// calculate the initial xp
	dialogInstance.updateQualityFromDialog();
	var xp = dialogInstance.getXp();
	dialogInstance.updateXP(xp);
	
	// assign actions, same for all thing inside the edit area
	$("#qualityeditarea *").change(function(){
		dialogInstance.updateQualityFromDialog();
		var xp = dialogInstance.getXp();
		dialogInstance.updateXP(xp);
	});
}

QualityDialog.prototype.getFormContent = function() {
	
	var dialogInstance = this;
	
	var output = "<div id='qualityeditarea'>";
	output += this.quality.edit();
	output += "</div>";
	
	return output;	
}

QualityDialog.prototype.updateQualityFromDialog = function() {
	this.quality.updatefromform("qualityeditarea");
	this.quality.setdetails();
}
	
QualityDialog.prototype.getXp = function(skills) {
	return this.quality.getxp();
}
