
function EditQualitiesDialog() {
	this.base = NPCDialog;
	this.base("Add Quality", false, "edit-qualities-form");
}
EditQualitiesDialog.prototype = new NPCDialog();

EditQualitiesDialog.prototype.edit = function() {
	// determine quality selected
	var qname = $("#editqualitylist").val();
	
	// create a quality edit dialog
	var qualityDialog = new QualityDialog(npc.getquality(qname).clone());
	
	// open the dialog
	qualityDialog.open();
}

EditQualitiesDialog.prototype.remove = function() {
	// determine quality selected
	var qname = $("#editqualitylist").val();
	
	// remove it from the npc
	npc.removequality(qname);
	
	// review the enabled status of the edit qualities button
	view.reviewEditQualitiesButton();
}

EditQualitiesDialog.prototype.getButtons = function() {
	var dialogInstance = this;
	
	return { 
		"Edit..." : function() { 
			dialogInstance.edit();
			dialogInstance.close();
		}, 
		"Remove" : function() {
			dialogInstance.remove();
			dialogInstance.close();
			view.renderNPC();				
		},
		"Annuler" : function() { 
			dialogInstance.close();
		}
	}
}

EditQualitiesDialog.prototype.getFormContent = function() {
	
	var dialogInstance = this;
	
	var output = "<div id='editqualitiesarea'>";
	
	output += npcutil.getListSelector("editqualitylist", npc.getqualitynames());
	
	output += "</div>";
	
	return output;	
}
