
function LoadNPCDialog() {
	this.base = NPCDialog;
	this.base("Charger PNJ Précédent", false, "load-npc-dialog");
}
LoadNPCDialog.prototype = new NPCDialog();

LoadNPCDialog.prototype.getButtons = function() {
	var dialogInstance = this;
	
	return { 
		"Charger PNJ" : function() { 
			dialogInstance.loadnpc();
			dialogInstance.close();
			view.renderNPC();		
		}, 
		"Annuler" : function() { 
			dialogInstance.close();
		}
	}
}

LoadNPCDialog.prototype.loadnpc = function() {
	npc.parseNPC($("#loadNPCForm #newStatBlock").val());
	
	// update view from the npc	
	view.updateEditAreaFromNPC();
	view.reviewEditAttacksButton();
	view.reviewEditQualitiesButton();
}

LoadNPCDialog.prototype.getFormContent = function() {
	
	var output = "<div id='loadNPCForm'>";
	
	output += "Copier votre stat block dans l'encart ci-dessous.";
	output += "<br/>";
	
	output += "<textarea id='newStatBlock' rows='8' cols='50'></textarea>";
	
	output += "</div>"
	return output;
}
